Subject: Re: bug#30186: 27.0.50; Password is not hidden in read-passwd

From: martin rudalics <[email-masked]>
Date: Tue, 30 Jan 2018 09:30:40 +0100

> Text properties are indeed part of the buffer (or string).  But I don't
 > think overlays are - if you have an overlay on part of a buffer, and copy
 > that part into a string, I don't think the overlay stays on the copy.

That's what I meant: The overlay stays with the buffer (unless its
'evaporate' property is non-nil) when you remove the text it covers.
A text property OTOH gets removed with the text and does not stay with
the buffer.  Hence a text property is not part of a buffer (or at most
indirectly so) while an overlay is.

martin